import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:multi_picker_example/constants/constants.dart';
import 'package:multi_picker/multi_picker.dart';


showMultiPicker(
    {required BuildContext context,
      required List<dynamic> data,
      Function(List<dynamic>, List<int>)?
      onConfirm, //danh sách giá trị và vị trí của nó trong data
      List<int>? selectIndex}) {
  List<int> selectIndex = List<int>.from(data.map((e) => e['select']).toList());
  List<dynamic> array = data.map((e) => e['data']).toList();
  Picker(
      selecteds: selectIndex,
      adapter: PickerDataAdapter<String>(pickerdata: array, isArray: true),
      hideHeader: false,
      confirmText: "Done",
      cancelText: '',
      confirmTextStyle:
      kHeader1Style.copyWith(color: k1790FFColor),
      textStyle: kBody2Style.copyWith(
        color: k5C5C5CColor,
        fontStyle: FontStyle.normal,
        fontWeight: FontWeight.normal,
        fontSize: 18,
      ),
      selectedTextStyle: const TextStyle(
        color: k444444Color,
        fontFamily: kMyFont,
        fontWeight: FontWeight.w400,
        fontSize: 18,
      ),
      height: 303,
      itemExtent: 50,
      backgroundColor: const Color.fromRGBO(0, 0, 0, 0.25),
      headerColor: kF1F1F1Color,
      onConfirm: (Picker picker, List value) {
        if (onConfirm != null) {
          onConfirm(picker.getSelectedValues(), picker.selecteds);
        }
      }).showModal(context);
}
