import 'package:flutter/material.dart';
import 'dart:async';

import 'package:multi_picker_example/components/multi_picker.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();

  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {}

  void onPress(BuildContext context) {
    print("aaa");
    showMultiPicker(context: context, data: PickerData);
  }

  @override
  Widget build(BuildContext context) {
    return MediaQuery(
      data: MediaQueryData(size: Size(1000, 500),),
      child: MaterialApp(
        home: Scaffold(
          appBar: AppBar(
            title: const Text('Plugin example app'),
          ),
          body: Center(
            child: Builder(
              builder: (context){
                return ElevatedButton(
                    onPressed: () {
                      onPress(context);
                    },
                    child: Icon(Icons.add));
              },
            )
          ),
        ),
      ),
    );
  }
}

List<dynamic> PickerData = [
  {
    'select': 1,
    'data': [1, 2, 3, 4]
  },
  {
    'select': 1,
    'data': [11, 22, 33, 44]
  },
  {
    'select': 1,
    'data': ["aaa", "bbb", "ccc"]
  }
];
